Bug 182051 - sysutils/wiimms upgrade to 2.23a and fix head compilation
Summary: sysutils/wiimms upgrade to 2.23a and fix head compilation
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-12 21:10 UTC by olivier
Modified: 2013-10-28 09:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.28 KB, patch)
2013-09-12 21:10 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2013-09-12 21:10:00 UTC
Here is a patch that update sysutils/wiimms to 2.23a and fix compilation problem on head (no more gcc).

Regards,

Fix: Patch attached with submission follows:
Comment 1 Pietro Cerutti freebsd_committer 2013-10-28 09:11:16 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 2 dfilter service freebsd_committer 2013-10-28 09:11:45 UTC
Author: gahr
Date: Mon Oct 28 09:11:36 2013
New Revision: 331837
URL: http://svnweb.freebsd.org/changeset/ports/331837

Log:
  - Update to 2.23a [1]
  - Fix build on CURRENT, by requiring GCC [1]
  - STAGE-clean
  - Convert to USES+=gmake
  
  PR:		182051
  Submitted by:	maintainer
  Reviewed by:	maintainer

Added:
  head/sysutils/wiimms/files/patch-Makefile   (contents, props changed)
Modified:
  head/sysutils/wiimms/Makefile
  head/sysutils/wiimms/distinfo
  head/sysutils/wiimms/files/patch-setup.sh

Modified: head/sysutils/wiimms/Makefile
==============================================================================
--- head/sysutils/wiimms/Makefile	Mon Oct 28 08:45:13 2013	(r331836)
+++ head/sysutils/wiimms/Makefile	Mon Oct 28 09:11:36 2013	(r331837)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	wiimms
-DISTVERSION=	2.10a
+DISTVERSION=	2.23a
 CATEGORIES=	sysutils
 MASTER_SITES=	http://gugus69.free.fr/wiimms/ \
 		LOCAL/martymac
@@ -17,10 +17,8 @@ BUILD_DEPENDS=	bash:${PORTSDIR}/shells/b
 RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash
 
 WRKSRC=	${WRKDIR}/wiimms-iso-tools
-USE_GMAKE=	yes
-
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+USES+=		gmake
+USE_GCC=	yes
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|/bin/bash|${LOCALBASE}/bin/bash|g' \
@@ -38,13 +36,13 @@ do-configure:
 	@cd ${WRKSRC} && ./setup.sh
 
 do-install:
-	@${INSTALL_PROGRAM} ${WRKSRC}/wit ${PREFIX}/bin
-	@${INSTALL_PROGRAM} ${WRKSRC}/wwt ${PREFIX}/bin
-	@${INSTALL_PROGRAM} ${WRKSRC}/wdf ${PREFIX}/bin
-	@${LN} -sf wdf ${PREFIX}/bin/wdf-cat
-	@${LN} -sf wdf ${PREFIX}/bin/wdf-dump
-	@${MKDIR} ${DATADIR}
-	@${INSTALL_DATA} ${WRKSRC}/share/* ${DATADIR}
-	@${INSTALL_SCRIPT} ${WRKSRC}/load-titles.sh ${DATADIR}
+	@${INSTALL_PROGRAM} ${WRKSRC}/wit ${STAGEDIR}${PREFIX}/bin
+	@${INSTALL_PROGRAM} ${WRKSRC}/wwt ${STAGEDIR}${PREFIX}/bin
+	@${INSTALL_PROGRAM} ${WRKSRC}/wdf ${STAGEDIR}${PREFIX}/bin
+	@${LN} -sf wdf ${STAGEDIR}${PREFIX}/bin/wdf-cat
+	@${LN} -sf wdf ${STAGEDIR}${PREFIX}/bin/wdf-dump
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	@${INSTALL_DATA} ${WRKSRC}/share/* ${STAGEDIR}${DATADIR}
+	@${INSTALL_SCRIPT} ${WRKSRC}/load-titles.sh ${STAGEDIR}${DATADIR}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/sysutils/wiimms/distinfo
==============================================================================
--- head/sysutils/wiimms/distinfo	Mon Oct 28 08:45:13 2013	(r331836)
+++ head/sysutils/wiimms/distinfo	Mon Oct 28 09:11:36 2013	(r331837)
@@ -1,2 +1,2 @@
-SHA256 (wit-2.10a.tar.gz) = 847abdff776bc823d5a0dbb458a51607ef9d0a12ff5fc39241bef5f5332ec78c
-SIZE (wit-2.10a.tar.gz) = 1762759
+SHA256 (wit-2.23a.tar.gz) = b49e1f161cb4cb7da9db7b8a3447cbd94b8d9ac15d088097c7e47c39c7808b6e
+SIZE (wit-2.23a.tar.gz) = 1810162

Added: head/sysutils/wiimms/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/wiimms/files/patch-Makefile	Mon Oct 28 09:11:36 2013	(r331837)
@@ -0,0 +1,31 @@
+--- Makefile.orig	2013-07-12 20:59:10.000000000 +0200
++++ Makefile	2013-09-12 21:36:58.340976359 +0200
+@@ -27,7 +27,7 @@
+ #-------------------------------------------------------------------------------
+ # global settings
+ 
+-#SHELL			= /bin/bash
++#SHELL			= /usr/local/bin/bash
+ SHELL			= /usr/bin/env bash
+ 
+ AUTHOR			= Dirk Clemens
+@@ -99,8 +99,8 @@
+ # compiler settings
+ 
+ PRE		?= 
+-CC		= $(PRE)gcc
+-CPP		= $(PRE)g++
++#CC		= $(PRE)cc
++#CPP		= $(PRE)cpp
+ STRIP		= $(PRE)strip
+ 
+ #-------------------------------------------------------------------------------
+@@ -248,7 +248,7 @@
+ 
+ #-------------------------------------------------------------------------------
+ 
+-SHARE_PATH	= $(INSTALL_PATH)/share/wit
++SHARE_PATH	= $(INSTALL_PATH)/share/wiimms
+ INSTALL_SCRIPTS	= install.sh load-titles.sh
+ RM_FILES	+= $(INSTALL_SCRIPTS)
+ SCRIPTS		= ./scripts

Modified: head/sysutils/wiimms/files/patch-setup.sh
==============================================================================
--- head/sysutils/wiimms/files/patch-setup.sh	Mon Oct 28 08:45:13 2013	(r331836)
+++ head/sysutils/wiimms/files/patch-setup.sh	Mon Oct 28 09:11:36 2013	(r331837)
@@ -1,5 +1,5 @@
---- setup.sh.orig	2011-07-08 20:21:46.000000000 +0200
-+++ setup.sh	2011-08-04 01:55:05.000000000 +0200
+--- setup.sh.orig	2013-02-09 21:55:43.000000000 +0100
++++ setup.sh	2013-09-12 21:34:08.051742488 +0200
 @@ -19,8 +19,9 @@
  tim=($(date '+%s %Y-%m-%d %T'))
  
@@ -27,5 +27,12 @@
 +# FreeBSD didn't support Pre-alloc
 +defines="$defines -DNO_PREALLOC"
  
- [[ $STATIC = 1 ]] || STATIC=0
+ [[ -r /usr/include/linux/fiemap.h ]] \
+ 	&& grep -qw fiemap_extent /usr/include/linux/fiemap.h \
+@@ -110,6 +115,6 @@
  
+ 	---EOT---
+ 
+-gcc $xflags system.c -o system.tmp && ./system.tmp >>Makefile.setup
++${CC} $xflags system.c -o system.tmp && ./system.tmp >>Makefile.setup
+ rm -f system.tmp
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"